<html>
<!--    cibl&eacute; par: menu_base.php 

		cible:  						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-organisme			le nom de l'organisme
							-nom 				le nom du client
							-prenom				le prenom du client
							-date_emission
							-date_etat
 -->
 
 
 
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Liste des soumissions</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");


//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

$date = $_GET["date"];

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");


//Afficher le titre de la page.
print("<center><font size=5><u><b>Liste des soumissions</b></u></font></center>");
print ("<br><br>");

print ("<form action=\"soumission.php\" method=\"get\" name=\"soumission\">");
   print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
		
print("<center>Cette liste contient les dossiers de soumissions depuis le  (AAAA-MM-JJ): ");
print("<input type=\"text\" value=\"$date\" name=\"date\" align=\"top\" maxlength=\"10\" size=\"11\">");
print("<input type=\"image\" alt=\"btn_date\" src=\"bouton0.gif\" border=0 width=15 height=24></form><br><br><br>");	






// ******************************************************************************************************
// recherche dans la table contrat et client et ci &agrave; partir d'&eacute;tat			 		*********************
// ******************************************************************************************************


//requ&ecirc;te
$sql = "select base_clients.code_client, base_clients.organisme, base_clients.nom, base_clients.prenom,
			   base_contrat.date_emission, base_contrat.nuite, base_contrat.date_debut, base_contrat.date_fin,
			   base_contrat.code_contrat,base_contrat.date_emission, base_clients.type 
 		  from base_clients, base_contrat
		 where base_contrat.etat = 'soumission'
		   AND base_contrat.date_emission >= '$date' 
		   AND base_clients.code_client = base_contrat.num_client;";

$result = mysql_query($sql) or die ("ne peut faire la liste des soumissions".$sql);
$num = mysql_numrows($result);

if (!empty ($date))
{
	afficher_resultat($Bsession_id,$num,$result,$organisme);	
}		
		

 
 
//FONCTION AFFICHER R&Eacute;SULTAT 
function afficher_resultat($Bsession_id,$num,$result,$organisme)
{
	//date de r&eacute;f&eacute;rence par d&eacute;faut
	 
	if ($num)
	{
		
		//No contrat		
		print ("<table width=100% border=1>\n");
		print("<tr><td>");
		print("<b>No contrat<br><br>");
		print("</td>");
		
		//date d'emission
		print("<td>");
		print("<b>date &eacute;mission<br><br>");
		print("</td>");
		
		//debut
		print("<td>");
		print("<b>D&eacute;but<br><br>");
		print("</td>");
		
		//Fin
		print("<td>");
		print("<b>Fin<br><br>");
		print("</td>");
		
		//nuit&eacute;
		print("<td>");
		print("<b>Nuit&eacute;<br><br>");
		print("</td>");
		
		//organisme
		print("<td>");
		print("<b>Organisme<br><br>");
		print("</td>");
		
		//nom
		print("<td>");
		print("<b>Nom<br><br>");
		print("</td>");

		//pr&eacute;nom
		print("<td>");
		print("<b>Pr&eacute;nom<br><br>");
		print("</td>");
		
		//type
		print("<td>");
		print("<b>Type<br><br>");
		print("</td>");
		print("</tr>");

		// Affiche les r&eacute;sultats de la requ&ecirc;te
		while ($row = mysql_fetch_row ($result))
		{
			$code_client = $row[0];
			$organisme = $row[1]; 
			$nom = $row[2];
			$prenom = $row[3];
			$date_emission = $row[4];
			$nuite = $row[5];
			$date_debut = $row[6];
			$date_fin = $row[7];
			$code_contrat = $row[8];
			$type = $row[10];			
			print ("<tr>\n");
			$i = 0;
			
			// affiche le code du contrat
			print("<td>");
			print("<a href=\"../contract/gestion-contract.php?Bsession_id=$Bsession_id&code_contrat=$code_contrat&code_client=$code_client\">");			
			print($code_contrat);
			print("</a>");
			print("</td>");

		
			// affiche la date d'&eacute;mission
			print("<td>");
			print($date_emission);
			print("</td>");
			
			// affiche la date de d&eacute;but
			print("<td>");
			print($date_debut);
			print("</td>");
			
			// affiche la date fin
			print("<td>");
			print($date_fin);
			print("</td>");

			// affiche les nuit&eacute;s
			print("<td>");
			print($nuite);
			print("</td>");
			
			// affiche l'organisme
			print("<td>");
			print("<a href=\"../client/gestion-client.php?Bsession_id=$Bsession_id&code_client=$code_client\">");
			print($organisme);
			print("</td>");

			// affiche le nom
			print("<td>");
			print($nom);
			print("</td>");
		
			// affiche le pr&eacute;nom
			print("<td>");
			print($prenom);
			print("</td>");

			// affiche le type
			print("<td>");
			print($type);
			print("</td>");						
			
		}
		print ("</table>\n");
		
		// lib&eacute;rer la m&eacute;moire		
		mysql_free_result ($result);
	} 
	else
	{		
		print ("<br>Pas de r&eacute;sultats<br>");
	}
} 
 
 
//BAS DE PAGE*****************************************************************

print("<table><tr><td colspan=2>");
print("<br><center>");
	//Afficher le bouton de retour au menu principal.
	print("<form action=\"../menu-base.php\" method=\"post\" name=\"principal\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
	print("<input type=\"submit\" name=\"menu_principal\" value=\"Menu Principal\"></form>");	
print("</td></tr></table>");

	
	




	
?>

</body>
</html>	
	
	
	
	
